********************************************************************************
		*Disaggregated Impacts of Growth on Multidimensional Poverty: 
					*Does the Source of Growth Matter?
********************************************************************************

****************************MAIN DO FILE****************************************

*** Set version
version 13.1
set varabbrev on

*** Set global(s)
*directory where data (Master.dta) is saved
global data "C:\Users\wb558768\Downloads\rep-checks\205\reproducibility package\1 data"
*directory where do-files are saved
global code "C:\Users\wb558768\Downloads\rep-checks\205\reproducibility package\2 do-files"
*directory where results table will be saved
global outputs "C:\Users\wb558768\Downloads\rep-checks\205\reproducibility package\3 outputs"

sysdir set PLUS "${code}/ado"

*** Install packages in the ado folder 
local user_commands	outreg2 estout kountry betafit //Add required user-written commands

	foreach command of local user_commands {
	   cap which `command'
	   if _rc == 111 {
		   ssc install `command'
	   }
	}
*

*** Run do files 
*cleaning raw data
do "$code/01 cleaning mpi.do"
do "$code/02 cleaning gdppc.do"
do "$code/03 cleaning gini.do"
do "$code/04 cleaning income groups.do"
do "$code/05 cleaning productivity.do"
do "$code/06 cleaning cigxm.do"
do "$code/07 cleaning sustainable growth.do"
do "$code/08 cleaning resource rents.do"

*merging cleaned data and preparing master.dta
do "$code/10 merging cleaned data.do"

*analysis
do "$code/20 Summary Stat.do"
do "$code/21 Analysis.do"
do "$code/22 RC gini.do"
do "$code/23 RC OLS level.do"
do "$code/24 RC Beta.do"
do "$code/25 RC outliers.do"


* End of do-file!	
