********************************************************************************
		*Disaggregated Impacts of Growth on Multidimensional Poverty: 
					*Does the Source of Growth Matter?
********************************************************************************

****************************CLEANING GINI DATA***********************************

/*This do-file cleans the raw gini data*/

clear all

********************************************************************************
/*
*** Set global(s) (already set in 00 Main do file)
*directory where data (Master.dta) is saved
global data "C:\Users\\`c(username)'\Desktop\reproducibility package\1 data"
*directory where do-files are saved
global code "C:\Users\\`c(username)'\Desktop\reproducibility package\2 do-files"
*directory where results table will be saved
global outputs "C:\Users\\`c(username)'\Desktop\reproducibility package\3 outputs"
*/

********************************************************************************
***load GDP data
import excel "$data\1 raw\wiid-data.xlsx", sheet("data") firstrow

********************************************************************************
***clean the data

*rename variable
rename (ISO COUNTRY YEAR GINIINDEX) (ccode country year gini)

*generate ccode_n
kountry ccode, from(iso3c) to(iso3n) marker
*drop regions and small countries which are not part of the mpi data
drop if MARKER == 0
drop MARKER country
rename (_ISO3N_ NAMES_STD) (ccode_n country)

*adjust for serbia and yugoslavia
replace ccode_n = 688 if ccode_n == 890
replace country = "Serbia" if country == "Yugoslavia"

*gini ends in 2020, to omit losing 2021 and 2022 observations extrapolate using the 2020 value 
expand 3 if year == 2020
sort ccode_n year
gen junk1 = 1 if year == 2020
by ccode_n: gen junk2 = sum(!missing(junk1))
by ccode_n: replace year = year + junk2 - 1 if junk1!=. 
drop junk1 junk2

drop if year == 1959
order year ccode_n ccode country gini

***save file
save "$data\2 clean\gini.dta", replace
