********************************************************************************
		*Disaggregated Impacts of Growth on Multidimensional Poverty: 
					*Does the Source of Growth Matter?
********************************************************************************

****************************CLEANING INCOME GROUP DATA**************************

/*This do-file cleans the raw income group data*/

clear all

********************************************************************************
/*
*** Set global(s) (already set in 00 Main do file)
*directory where data (Master.dta) is saved
global data "C:\Users\\`c(username)'\Desktop\reproducibility package\1 data"
*directory where do-files are saved
global code "C:\Users\\`c(username)'\Desktop\reproducibility package\2 do-files"
*directory where results table will be saved
global outputs "C:\Users\\`c(username)'\Desktop\reproducibility package\3 outputs"
*/


********************************************************************************
***load income group data
import excel "$data\1 raw\Historical income groups.xlsx", sheet("Sheet1") firstrow

reshape long y_, i(ccode) j(year)
gen inc_group = 1 if y_ == "L"
replace inc_group = 2 if y_ == "LM"
replace inc_group = 3 if y_ == "UM"
replace inc_group = 4 if y_ == "H"

lab define inc 1 "Low Income" 2 "Lower middle income" 3 "Upper middle Income" 4 "High income"
lab value  inc_group inc
drop y_


kountry ccode, from(iso3c) to(iso3n) marker
drop if MARKER == 0
drop MARKER country
rename NAMES_STD country
rename _ISO3N_ ccode_n
*serbia
replace ccode_n = 688 if ccode == "SRB" 
replace country = "Serbia" if ccode== "SRB"


***save data
save "$data\2 clean\income_groups.dta", replace


