********************************************************************************
		*Disaggregated Impacts of Growth on Multidimensional Poverty: 
					*Does the Source of Growth Matter?
********************************************************************************

****************************CLEANING PRODUCTIVITY DATA**************************

/*This do-file cleans the raw productivity data*/

clear all

********************************************************************************
/*
*** Set global(s) (already set in 00 Main do file)
*directory where data (Master.dta) is saved
global data "C:\Users\\`c(username)'\Desktop\reproducibility package\1 data"
*directory where do-files are saved
global code "C:\Users\\`c(username)'\Desktop\reproducibility package\2 do-files"
*directory where results table will be saved
global outputs "C:\Users\\`c(username)'\Desktop\reproducibility package\3 outputs"
*/


********************************************************************************
***load productivity data
use "$data\1 raw\global_productivity.dta", clear

***clean data
rename time year
drop country countrycode
kountry ISOcode , from(imfn) to(iso3n) marker 
rename _ISO3N_ ccode_n 
drop MARKER NAMES_STD
kountry ccode_n , from(iso3n) to(iso3c) marker 
rename (NAMES_STD _ISO3C_ ) (country ccode)
*Serbia
replace ccode_n = 688 if ISOcode == 942
replace ccode = "SRB" if ccode_n == 688
replace country = "Serbia" if ccode_n == 688
drop ISOcode MARKER
order year ccode_n ccode country

rename capdeep dcapdeep

lab var ccode_n "ISO 3 numeric country code"
lab var ccode "ISO 3 country code"
lab var country "Country"

*save
save "$data\2 clean\productivity.dta", replace
